View Issue Details

IDProjectCategoryView StatusLast Update
14988Bug reports[All Projects] Expression Managerpublic2019-10-19 10:08
Reportercdorin Assigned ToDenisChenu  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.17.x 
Target VersionFixed in Version3.17.x 
Summary14988: Preview question group not working + relevance equations
Description

Preview question group does not work properly at the moment. It does not allow users to properly test whether groups are displayed correctly or not.

See the second question group in the attached survey. The second question should not be displayed since the relevance equation is not met.

However, if you preview the whole survey, everything seems to be working fine.

TagsNo tags attached.
Complete LimeSurvey version number (& build)github
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Relationships

related to 14987 closedDenisChenu Bug reports Preview question not working 
related to 14936 closedDenisChenu Bug reports Preview group : relevance on question broken 
related to 14995 closedDenisChenu Development  Must add test for Group/Question relevance 
has duplicate 15423 closedDenisChenu Bug reports question conditions are ignored when previewing a group 

Activities

cdorin

cdorin

2019-06-17 18:21

manager  

limesurvey_survey_126764(2).lss (16,871 bytes)
DenisChenu

DenisChenu

2019-06-19 11:50

developer   ~52454

Ready to go : https://github.com/LimeSurvey/LimeSurvey/pull/1298

cdorin

cdorin

2019-06-19 14:25

manager   ~52458

The Man. The Legend.

Seems fine on my side.

I changed the equation for G02Q02 from (showQuestion.NAOK == 'Y') and !is_empty(G02Q01) to (showQuestion.NAOK == 'Y') or !is_empty(G02Q01) . Now, the EM is working inside question group preview. If "and" is being used, it does not work since it is based on a question from another group (like in 2.73).

So... everything looks good :) . I will also check the manual and document that.

DenisChenu

DenisChenu

2019-06-19 14:31

developer   ~52461

@cdorin : see https://bugs.limesurvey.org/view.php?id=14994 for question with previous condition in relevance.

DenisChenu

DenisChenu

2019-06-19 14:33

developer   ~52462

Last edited: 2019-06-19 14:37

View 3 revisions

About manual : please review english … :

  1. question preview last diff
  2. group preview last diff

<strike>I didn't check question … prefill url …</strike>

Checked for subquestion relevance and prefill url : it's OK :)

Mazi

Mazi

2019-06-24 13:20

partner   ~52499

Last edited: 2019-06-24 13:21

View 2 revisions

Lots of users were confused with the group preview not taking into account conditions and the like. So it is great to have a fix at the next release.

cdorin

cdorin

2019-06-24 13:25

manager   ~52500

As far as I can see, it went back to the behavior from 2.73 . So it should be much better now for users. A new version should be released today.

DenisChenu

DenisChenu

2019-06-24 14:32

developer   ~52503

@Mazi : come back at the 2.73 (and before) behaviour when release is done …

Issue History

Date Modified Username Field Change
2019-06-17 18:21 cdorin New Issue
2019-06-17 18:21 cdorin Status new => assigned
2019-06-17 18:21 cdorin Assigned To => dominikvitt
2019-06-17 18:21 cdorin File Added: limesurvey_survey_126764(2).lss
2019-06-17 18:22 cdorin Relationship added related to 13987
2019-06-17 18:22 cdorin Relationship added related to 14987
2019-06-17 18:22 cdorin Relationship deleted related to 13987
2019-06-17 18:23 cdorin Relationship added related to 14936
2019-06-18 20:15 DenisChenu Assigned To dominikvitt => DenisChenu
2019-06-19 11:50 DenisChenu Note Added: 52454
2019-06-19 14:01 DenisChenu Status assigned => resolved
2019-06-19 14:01 DenisChenu Resolution open => fixed
2019-06-19 14:01 DenisChenu Fixed in Version => 3.17.x
2019-06-19 14:25 cdorin Note Added: 52458
2019-06-19 14:31 DenisChenu Note Added: 52461
2019-06-19 14:33 DenisChenu Note Added: 52462
2019-06-19 14:35 DenisChenu Note Edited: 52462 View Revisions
2019-06-19 14:37 DenisChenu Note Edited: 52462 View Revisions
2019-06-24 13:20 Mazi Note Added: 52499
2019-06-24 13:21 Mazi Note Edited: 52499 View Revisions
2019-06-24 13:25 cdorin Note Added: 52500
2019-06-24 14:32 DenisChenu Note Added: 52503
2019-07-30 18:34 DenisChenu Relationship added related to 14995
2019-10-19 10:04 DenisChenu Relationship added has duplicate 15423
2019-10-19 10:08 DenisChenu Status resolved => closed